Bug 980629 - telepathy-rakia doesn't run in the proper domain when running as a confined user
telepathy-rakia doesn't run in the proper domain when running as a confined user
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 17:24 EDT by Michael Scherer
Modified: 2013-07-06 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-59.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 21:33:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch tthat correctly label telepathy-rakia (840 bytes, patch)
2013-07-02 17:24 EDT, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2013-07-02 17:24:37 EDT
Created attachment 767983 [details]
patch tthat correctly label telepathy-rakia

Description of problem:

after setting my user as confined, I found out that telepathy-rakia, the successor of sofiasip, is not using the policy of sofiasip

$ ps faxZ | grep rakia
user_u:user_r:user_t:s0          2119 ?        S      0:00 /usr/libexec/telepathy-rakia
user_u:user_r:user_t:s0          4611 pts/3    S+     0:00      \_ grep --color=auto rakia

here is a simple patch for that ( a real clean patch would involve a complete research and replace )
Comment 1 Miroslav Grepl 2013-07-03 07:44:59 EDT
Thank you for your patch.

commit 68e39d005ff9de41c2762e0232df8e1e8dff8f30
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 3 13:44:40 2013 +0200

    Add support for /usr/libexec/telepathy-rakia
Comment 2 Fedora Update System 2013-07-03 15:50:56 EDT
selinux-policy-3.12.1-59.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-59.fc19
Comment 3 Fedora Update System 2013-07-04 22:14:41 EDT
Package selinux-policy-3.12.1-59.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-59.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12373/selinux-policy-3.12.1-59.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-06 21:33:55 EDT
selinux-policy-3.12.1-59.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.